Skip to main content
GET
/
api
/
v1
/
collections
/
{id}
Get collection details
curl --request GET \
  --url https://app.aigmented.com/api/v1/collections/{id} \
  --header 'Authorization: Bearer <token>'
{
  "message": "Collection",
  "data": {
    "id": 123,
    "name": "<string>",
    "status": "<string>",
    "publish_disabled": true,
    "uploaded_at": "2023-11-07T05:31:56Z",
    "user": {
      "id": "<string>",
      "email": "<string>",
      "name": "<string>"
    },
    "_count": {
      "knowledgeCards": 123,
      "fileInstances": 123,
      "chats": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Pass your API key as a Bearer token. Example: Authorization: Bearer sk-xxxxxxxxxxxx

Path Parameters

id
integer
required

Collection ID

Response

Collection details

message
string
Example:

"Collection"

data
object